=== debian/changelog ===
crawl (2:0.5.2-4) unstable; urgency=low

  * Import patch from Pino Toscano fixing the check for MacOS/X, which caused
    crawl to FTBFS on other Mach architectures like the Hurd. Closes: #558388

 -- Guus Sliepen <guus@debian.org>  Sat, 28 Nov 2009 17:13:13 +0100

crawl (2:0.5.2-3) unstable; urgency=low

  * Build-Depend on liblua5.1-0-dev and pkg-config.

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Nov 2009 19:19:30 +0100

crawl (2:0.5.2-2) unstable; urgency=low

  * Quilt refresh patches to ensure the package can be unpacked without quilt.
    Closes: #558195
  * Remove unused patches that have been merged upstream.

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Nov 2009 17:57:50 +0100

crawl (2:0.5.2-1) unstable; urgency=low

  [ Guus Sliepen ]

  * New upstream release. Closes: 523694
  * Bump Standards-Version.
  * Do not include docs/libpng-LICENSE.txt.
  * Define SAVE_PACKAGE_TAR to save games as tar.gz instead of zip.
    Closes: #497356

  [ Trent W. Buck ]

  * Adopt 3.0 (quilt) format.
  * Add a watchfile. Closes: #523696
  * Bump debhelper compatibility to 7 (from 4).
  * Replace debian/rules boilerplate with dh(1).
  * Replace upstream's makefile entirely (with debian/GNUmakefile).
  * Adhere more strictly to the FHS:
    * Global default configuration in /etc/crawl.
    * Documentation in /usr/share/doc/crawl.
    * Data (e.g. lua scripts) in /usr/share/games/crawl.
    * Dead characters in /var/games/crawl/morgue.
    * Living characters in /var/games/crawl/saves.
  * Purge upstream's convenience copies of libraries, to enure they can't
    accidentally be used during compilation. Closes: #505692
  * Move much manual debian/rules messing about into declarative
    debian/crawl.foo files.  One bad side effect: examples/crawlrc becomes
    examples/init.txt.  Sorry about that.
  * Appease lintian:
    * debhelper-but-no-misc-depends;
    * extra-license-file;
    * spelling-error-in-binary: persistant.
  * Add a watch file for uscan(1).
  * Drop Debian.README; it should be clear to everyone by now that DCSS is
    the actively developed Crawl codebase.

 -- Guus Sliepen <guus@debian.org>  Thu, 26 Nov 2009 19:09:09 +0000

crawl (2:0.4.4-1) unstable; urgency=low

  * New upstream release. Closes: #509209
    - Fixes speed of skill training. Closes: #508127
  * Add missing documentation to /usr/share/doc/crawl/. Closes: #509206
  * Apply patch from Martin Michlmayr fixing compilation with GCC 4.4.
    Closes: #505692
  * Do not try to autodetect UTF-8 support based on locale information,
    just assume it will work on a Debian system. Closes: #467255

 -- Guus Sliepen <guus@debian.org>  Mon, 29 Dec 2008 17:17:45 +0100

crawl (2:0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Jul 2008 12:27:12 +0200

crawl (2:0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 05 Feb 2008 14:28:44 +0100

crawl (2:0.3.3-2) unstable; urgency=low

  * Move documentation to /usr/share/games/crawl/ so the in-game help system
    can find it. Closes: #455480
  * Fix build failure with GCC 4.3. Closes: #456088

 -- Guus Sliepen <guus@debian.org>  Sat, 15 Dec 2007 00:06:00 +0100

crawl (2:0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 07 Dec 2007 17:18:04 +0100

crawl (2:0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Enable Unicode support. Closes: #451028
  * Use nl_langinfo() to detect Unicode support.

 -- Guus Sliepen <guus@debian.org>  Mon, 19 Nov 2007 12:46:39 +0100

crawl (2:0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Enables lua bindings. Closes: #447588
  * Don't link with built-in liblua implementation.

 -- Guus Sliepen <guus@debian.org>  Thu, 08 Nov 2007 15:19:34 +0100

crawl (2:0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 12 Jun 2007 15:46:25 +0200

crawl (2:0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 08 Jun 2007 09:24:09 +0200

crawl (2:0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Save morgue files in /var/games/crawl by default.

 -- Guus Sliepen <guus@debian.org>  Mon, 14 May 2007 17:30:31 +0200

crawl (2:0.2.4-2) unstable; urgency=low

  * Remove superfluous semicolon which GCC 4.3 doesn't like. Closes: #421212

 -- Guus Sliepen <guus@debian.org>  Sat, 28 Apr 2007 10:22:36 +0200

crawl (2:0.2.4-1) unstable; urgency=low

  * Switch to a new upstream: http://crawl-ref.sourceforge.net/.
    The old upstream has shown no activity for the last few years, and the
    Yahoo group crawl-dev only shows spam messages.

 -- Guus Sliepen <guus@debian.org>  Mon, 16 Apr 2007 10:44:42 +0200

crawl (1:4.0.0beta26-9) unstable; urgency=low

  * Add missing #includes necessary for the stricter header dependencies in
    GCC 4.3 and onwards. Patch from Martin Michlmayr. Closes: #417134
  * Fix two cases of dereferencing type-punned pointer.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Apr 2007 16:26:03 +0200

crawl (1:4.0.0beta26-8) unstable; urgency=low

  * Reset terminal attributes after shutting down curses. Closes: #369203
  * Correct CVE reference in previous changelog entry. Closes: #350349

 -- Guus Sliepen <guus@debian.org>  Sun, 28 May 2006 15:22:13 +0200

crawl (1:4.0.0beta26-7) unstable; urgency=high

  * Fix insecure execution of external commands. See DSA 949-1. [CVE-2006-0045]

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Jan 2006 17:15:01 +0100

crawl (1:4.0.0beta26-6) unstable; urgency=low

  * Fix possible uninitialised string when casting Blade Hands spell. Thanks
    to Ilya Kasnacheev for noticing.  Closes: #325706
  * Apply patch from Kalle Olavi Niemitalo to fix uncursing of Enchant Armor
    spell. Closes: #321082

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Oct 2005 13:00:58 +0200

crawl (1:4.0.0beta26-5) unstable; urgency=low

  * Recompile needed for C++ ABI change.

