=== debian/control ===
Source: crawl
Section: games
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Uploaders: Trent W. Buck <trentbuck@gmail.com>
DM-Upload-Allowed: yes
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.2), bison, flex, pkg-config,
 liblua5.1-0-dev, libncursesw5-dev, libpcre3-dev, libsqlite3-dev
Homepage: http://crawl-ref.sourceforge.net/

Package: crawl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dungeon Crawl, a text-based roguelike game
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the Stone Soup version of Dungeon Crawl.
