=== debian/watch ===
version=3
http://sf.net/crawl-ref/stone_soup-(.+)-src\.t(?:ar.)?(?:gz|bz2)
