## crawl 0.5.2-1maemo1

=== debian/changelog ===
crawl (0.5.2-1maemo1) unstable; urgency=low

  * Initial port to the Maemo/Fremantle platform - right now the font
    has to be extremely small to play it, and there are most certainly
    lots of bugs.

 -- Luke Reeves <luke@neuro-tech.net>  Fri, 26 Feb 2010 23:45:05 -0500
