=== debian/changelog ===
crawl (2:0.6.0-2) unstable; urgency=low

  * Fix build failures on hppa, s390, kfreebsd-*.
  * Properly set permissions on the score file on fresh installations.
    Closes: #576552, #576618

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 06 Apr 2010 14:04:05 +0200

crawl (2:0.6.0-1) unstable; urgency=low

  * New upstream release.  Closes: #575626
    * Better message on incompatible saves.  Closes: #498080
  * Totally redone packaging.
    * Use the upstream makefile to make sure all installed files are installed.
      Closes: #527278
  * Added tiles build, the packages are now crawl (console), crawl-tiles
    and crawl-common.
  * Make the scores and logfile owned by games:games instead of the first
    player who plays a game.
  * Delete all saves and logfiles when Crawl is purged.
  * Delete 4.0 score files on upgrade.  Closes: #451597
  * Use fonts from ttf-dejavu instead of shipping a redundant copy.
  * Add a FreeDesktop menu entry.
  * Update the homepage, it's now at http://crawl.develz.org
  * Rebuilding with new ncurses fixes bright colors on xterm-256.
    Closes: #439597

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 28 Mar 2010 14:35:18 +0200
