## crawl 0.7.1

=== source/rltiles/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 LDFLAGS += -lmingw32
 endif
 
-SDL_CFLAGS := $(shell pkg-config sdl --cflags 2> /dev/null || echo "-I../contrib/install/include/SDL")
-SDL_LDFLAGS := $(shell pkg-config sdl --libs 2> /dev/null && echo "-lSDL_image" || echo "../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a")
+SDL_CFLAGS := $(shell sdl-config --cflags 2> /dev/null || echo "-I../contrib/install/include/SDL")
+SDL_LDFLAGS := $(shell sdl-config --libs 2> /dev/null && echo "-lSDL_image" || echo "../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a")
 
 PNG_INCLUDE := $(shell pkg-config libpng --cflags 2> /dev/null || echo "-I../contrib/install/include")
 PNG_LIB := $(shell pkg-config libpng --libs 2> /dev/null || echo "../contrib/install/lib/libpng.a ../contrib/install/lib/libz.a")
@@ -29,12 +29,12 @@
 ifeq ($(LMACH),-)
 LMACH :=
 endif
-ifeq ($(shell which $(LMACH)gcc 2> /dev/null),)
+ifeq ($(shell which $(LMACH)gcc > /dev/null 2> /dev/null && echo "Yes"),)
 LMACH :=
 endif
 CXX = $(LMACH)g++
-ifdef ARCHS
-CF_ARCHS := $(patsubst %,-arch %,$(ARCHS))
+ifdef ARCH
+CF_ARCHS := $(patsubst %,-arch %,$(ARCH))
 CXX += $(CF_ARCHS)
 endif
 
@@ -43,7 +43,7 @@
 TOOLDIR := tool
 TILEGEN := $(TOOLDIR)/tilegen.elf
 
-INPUTS := main dngn player gui
+INPUTS := main dngn floor wall feat player gui
 INPUTFILES := $(INPUTS:%=dc-%.txt)
 HEADERS := $(INPUTS:%=tiledef-%.h)
 HTML := $(INPUTS:%=tile-%.html)
