=== debian/changelog ===
crawl (2:0.7.1-3) unstable; urgency=low

  * Work around a g++-4.4 bug on powerpc by building with -O0 there.
  * Fix uninstallability on fresh installs.
  * Pick up upstream stable fixes up to 0.7.1-15-g73f6e1f (mostly crashes).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 06 Aug 2010 02:29:30 +0200

crawl (2:0.7.1-2) unstable; urgency=low

  * Rebuild in a build environment without nvidia packages installed.
    Closes: #591661, #591663
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 05 Aug 2010 00:08:20 +0200

crawl (2:0.7.1-1) unstable; urgency=low

  * New upstream bugfix release. Closes: #590317

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 25 Jul 2010 00:30:47 +0200

crawl (2:0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Move the SAVEDIR to ~/.crawl, push the remnants of the shared dir one
    level up.  This fixes the security issues while still keeping scores and
    bones system wide.
    The database cache is currently wastefully in ~/.crawl/, but until the
    handling of read-only db is improved, that's better than letting the
    first player to run Crawl after an upgrade mess everyone up.
  * Pick a couple of fresh 0.7 fixes.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Jul 2010 10:44:20 +0200

crawl (2:0.6.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Jun 2010 15:07:16 +0200
