=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,15 @@
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+CFOPTIMIZE = -O2
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	CFOPTIMIZE = -O0
+endif
+ifeq ($(DEB_HOST_ARCH),powerpc)
+	# g++-4.4 has an ICE there.
+	CFOPTIMIZE = -O0
 endif
 
 tree-stamp:
@@ -17,8 +26,8 @@
 	touch tree-stamp
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
-ARGS_CONSOLE = prefix=/usr
-ARGS_TILES   = prefix=/usr TILES=y GAME=crawl-tiles \
+ARGS_CONSOLE = prefix=/usr SAVEDIR='~/.crawl' SHAREDDIR=/var/games/crawl CFOPTIMIZE=$(CFOPTIMIZE)
+ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
