## crawl 0.8.0

=== debian/changelog ===
crawl (2:0.8.0-1) unstable; urgency=low

  * New upstream release. Closes: #618850
  * Use debian/watch file from Vincent Cheng.
  * Don't move in-game documentation to /usr/share/doc/crawl-common.
    Closes: #597724
  * Bump Standards-Version.
  * Use hardlinks to create the build-console and build-tiles directories.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 21:04:53 +0200
