=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
 	libfreetype6-dev
