=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,11 @@
 
 tree-stamp:
 	dh_testdir
-	rm -rf build-console
-	mkdir -p build-console/source/rltiles
-	tar cf - docs settings source --exclude contrib --exclude rltiles|tar xf - -C build-console
-	cp -p source/rltiles/dc-player.txt build-console/source/rltiles/
-	rm -rf build-tiles
-	mkdir -p build-tiles
-	tar cf - docs settings source --exclude contrib|tar xf - -C build-tiles
+	mkdir build-console
+	cp -ldpR docs settings source build-console/
+	rm -rf build-console/rltiles/*
+	mkdir build-tiles
+	cp -ldpR docs settings source build-tiles/
 	touch tree-stamp
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
@@ -58,10 +56,10 @@
 	dh_installdirs
 
 	cd build-console/source && $(MAKE) $(ARGS_CONSOLE) install DESTDIR=../../debian/crawl-common
-	cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
-		mv crawl/docs/* doc/crawl-common && \
-		mv doc/crawl-common/crawl_manual.txt crawl/docs
-	rm -rf debian/crawl-common/usr/share/doc/crawl-common/license
+	#cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
+	#	mv crawl/docs/* doc/crawl-common && \
+	#	mv doc/crawl-common/crawl_manual.txt crawl/docs
+	rm -rf debian/crawl-common/usr/share/crawl/docs/license
 	mkdir -p debian/crawl/usr/
 	mv debian/crawl-common/usr/games debian/crawl/usr/games
 	cd build-tiles/source && $(MAKE) $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
@@ -77,7 +75,7 @@
 	cp debian/crawl-common.overrides debian/crawl-common/usr/share/lintian/overrides/crawl-common
 	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
 	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
-	ln -sf /usr/share/crawl-common/docs/crawl_manual.txt debian/crawl-common/usr/share/doc/crawl-common/
+	ln -sf /usr/share/crawl/docs/*.txt debian/crawl-common/usr/share/doc/crawl-common/
 
 	mkdir -p debian/crawl/usr/share/doc
 	ln -sf crawl-common debian/crawl/usr/share/doc/crawl
@@ -96,12 +94,12 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs -pcrawl-common
+	dh_installdocs -pcrawl-common -Xcrawl_manual.txt -Xaptitudes.txt -Xquickstart.txt -Xmacros_guide.txt -Xoptions_guide.txt -Xtiles_help.txt
 	dh_installchangelogs -pcrawl-common docs/changelog.txt
 	dh_installmenu
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress -Xaptitudes.txt
 	dh_fixperms
 	chgrp games debian/crawl/usr/games/crawl
 	chmod g+s debian/crawl/usr/games/crawl
