=== debian/changelog ===
crawl (2:0.8.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Restore the workaround for g++-4.4 bug on powerpc, backports need it.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 14 Jun 2011 22:50:57 +0200

crawl (2:0.8.0-2) unstable; urgency=low

  [Guus Sliepen]

  * Merge Adam Borowski's work. Closes: #627600

  [Adam Borowski]

  * Drop any setgidness (no longer supported).
  * Build-depend on advancecomp to reduce package size.
  * Enable wizard mode, no setgid = no trouble.  Closes: #598484
  * Relicensed to GPL2+.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 May 2011 16:37:05 +0200
