=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
-	libfreetype6-dev
+	libfreetype6-dev, advancecomp
 Homepage: http://crawl.develz.org/
 
 Package: crawl-common
