=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFOPTIMIZE = -O0
 endif
-ifeq ($(DEB_HOST_ARCH),powerpc)
+ifneq (,$(shell gcc --version|grep 'gcc (.*) 4\.4\.'))
+  ifeq ($(DEB_HOST_ARCH),powerpc)
 	# g++-4.4 has an ICE there.
 	CFOPTIMIZE = -O0
+  endif
 endif
 
 tree-stamp:
@@ -24,7 +26,7 @@
 	touch tree-stamp
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
-ARGS_CONSOLE = prefix=/usr SAVEDIR='~/.crawl' SHAREDDIR=/var/games/crawl CFOPTIMIZE=$(CFOPTIMIZE)
+ARGS_CONSOLE = prefix=/usr CFOPTIMIZE=$(CFOPTIMIZE) WIZARD=y
 ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
@@ -71,8 +73,6 @@
 	cp docs/crawl.6 debian/crawl/usr/share/man/man6/
 	mkdir -p debian/crawl-tiles/usr/share/man/man6
 	cp docs/crawl.6 debian/crawl-tiles/usr/share/man/man6/crawl-tiles.6
-	mkdir -p debian/crawl-common/usr/share/lintian/overrides
-	cp debian/crawl-common.overrides debian/crawl-common/usr/share/lintian/overrides/crawl-common
 	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
 	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
 	ln -sf /usr/share/crawl/docs/*.txt debian/crawl-common/usr/share/doc/crawl-common/
@@ -101,12 +101,6 @@
 	dh_strip
 	dh_compress -Xaptitudes.txt
 	dh_fixperms
-	chgrp games debian/crawl/usr/games/crawl
-	chmod g+s debian/crawl/usr/games/crawl
-	chgrp games debian/crawl-tiles/usr/games/crawl-tiles
-	chmod g+s debian/crawl-tiles/usr/games/crawl-tiles
-	chgrp -R games debian/crawl-common/var/games/crawl
-	chmod -R g+ws debian/crawl-common/var/games/crawl
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
